Page MenuHomePhabricator

[clangd] Add a capability to enable completions with fixes.
ClosedPublic

Authored by sammccall on Jun 10 2019, 1:00 PM.

Diff Detail

Repository
rL LLVM

Event Timeline

sammccall created this revision.Jun 10 2019, 1:00 PM
Herald added a project: Restricted Project. · View Herald TranscriptJun 10 2019, 1:00 PM
ilya-biryukov accepted this revision.Jun 11 2019, 6:44 AM

NIT:
I've been pushing towards giving clangd-specific extensions names that would absolutely never clash with anything that LSP proposes. In particular, the file status notification is textDocument/clangd.fileStatus.
With that in line, I propose to use clangd.editsNearCursor for the flag name. Other than that, LGTM.

This revision is now accepted and ready to land.Jun 11 2019, 6:44 AM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptJun 18 2019, 4:54 AM